<?php

namespace FiloBlu\Omnibus\Helper;

use Magento\Framework\App\Helper\Context;
use \Magento\Store\Model\StoreManagerInterface;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{

	protected $_storeManager;

	public function __construct(
		Context $context,
		StoreManagerInterface $storeManager
	)
	{
		$this->_storeManager = $storeManager;
		parent::__construct($context);
	}

	public function getConfig($config, $scope, $section = "filoblu_omnibus")
	{
		return $this->scopeConfig->getValue($section . "/" . $config, $scope);
	}
	
	public function getIsEnabled()
	{
		return $this->getConfig('general/enabled', \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
	}
	
	public function getApiUrl()
	{
		return $this->getConfig('general/api_url', \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
	}
	
	public function getBrand()
	{
		return $this->getConfig('general/brand', \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
	}
	
	public function getStoreCode()
	{
		return $this->_storeManager->getStore()->getCode();
	}
}
