<?php

declare(strict_types=1);

namespace FiloBlu\Omnibus\Model\Config;

use FiloBlu\Core\Framework\Model\Mapper;
use FiloBlu\Refilo\Model\Config\AbstractConfigProvider;
use Magento\Framework\DataObject;
use Magento\Store\Api\Data\StoreInterface;

class StoreFrontConfigProvider extends AbstractConfigProvider
{
    protected function prepareData(DataObject $configurations, StoreInterface $store = null): array
    {
        return $configurations->toArray();
    }

    protected function setMappings(Mapper $mapper)
    {
        return $mapper
            ->withSourceRoot('filoblu_omnibus/general')
            ->withDestinationRoot('storefrontConfig/omnibus')
            ->add('enabled', 'enabled', false, Mapper::BOOL)
            ->add('api_url', 'api_url', 'https://omnibus.filoblu.com', Mapper::STRING)
            ->add('brand', 'brand', '', Mapper::STRING)
            ->resetSourceRoot()
            ->resetDestinationRoot();
    }
}
